Package groovy.sql

# Class SqlWithParams

java.lang.Object
groovy.sql.SqlWithParams

public class SqlWithParams extends Object

## Constructor Summary

Constructors
Constructor
Description
`SqlWithParams(String sql, List<Object> params)`

## Method Summary

Modifier and Type
Method
Description
`List<Object>`
`getParams()`
`String`
`getSql()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SqlWithParams

public SqlWithParams(String sql, List<Object> params)

## Method Details

### getSql

public String getSql()

### getParams

public List<Object> getParams()